import QtQuick 1.1
import org.kde.draganddrop 1.0
import "../code/utils.js" as Utils
import "../code/logger.js" as Log
 Rectangle {

     width: 200
     height: 100
     DropArea {
        enabled: true
        anchors.fill: parent
        onDrop: {
            outputData="111";
            if (plasmoid.getUrl) {
                Log.trace("URL:"+event.mimeData.url);
                readHTTP = plasmoid.getUrl(event.mimeData.url);
                Log.trace(readHTTP);
                readHTTP.data.connect(function(job, data){
                        if (data.length > 0) {
                            outputData = outputData + data.toUtf8();
                        }else{
                            outputData = outputData.trim();
                            job.kill();
                        }
                    }
                );
                readHTTP.finished.connect(function(){
                    Log.trace("content:"+outputData);
                });
            } else {
                Log.trace(i18n("http access denied!"));
            }            
        }
    }
 } 
